import appRoot from 'app-root-path';
import path from 'path';
import fse from 'fs-extra';
import fs from 'fs';

const userRoot = appRoot.path;
const docsModuleRoot = path.join(userRoot, 'node_modules/markdown-documentation-maker');

// copy the "dist" docs folder ---> never overwrite it, as it may contain favicons, images, etc.
// also, most of the pages are autogenerated on "watch" or "build" command
const source = path.join(docsModuleRoot, './docs');
if(!fs.existsSync(source)){
  const target = path.join(userRoot, './docs');
  fse.copySync(source, target, {
    overwrite: false,
  });
}

const srcTarget = path.join(userRoot, './src/docs');
const srcSource = path.join(docsModuleRoot, './src/docs');
if(fs.existsSync(srcTarget)){

  // overwrite generator folder ---> it always should be updated
  fse.copySync(path.join(docsModuleRoot, './src/docs/generator'), path.join(userRoot, './src/docs/generator'), {
    overwrite: true,
  });

  // overwrite layout folders ---> all its content should be recreated from the config.json
  fse.copySync(path.join(docsModuleRoot, './src/docs/data/layouts'), path.join(userRoot, './src/docs/data/layouts'), {
    overwrite: true,
  });

  // make a backup of the client side folder, as it may have some changes
  fse.copySync(path.join(docsModuleRoot, './src/docs/client-side'), path.join(userRoot, `./src/docs/client-side-${ (new Date()).getTime() }`), {
    overwrite: true,
  });

  // overwrite the client side folder
  fse.copySync(path.join(docsModuleRoot, './src/docs/client-side'), path.join(userRoot, './src/docs/client-side'), {
    overwrite: true,
  });
}
else{
  // if docs source folder doesn't exist ---> copy the whole folder
  fse.copySync(srcSource, srcTarget, {
    overwrite: false,
  });
}





